[arch-commits] Commit in gnutls/repos (6 files)
Andreas Radke
andyrtr at archlinux.org
Mon Sep 14 17:08:05 UTC 2015
Date: Monday, September 14, 2015 @ 19:08:05
Author: andyrtr
Revision: 246040
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
gnutls/repos/testing-i686/
gnutls/repos/testing-i686/PKGBUILD
(from rev 246039, gnutls/trunk/PKGBUILD)
gnutls/repos/testing-i686/gnutls.install
(from rev 246039, gnutls/trunk/gnutls.install)
gnutls/repos/testing-x86_64/
gnutls/repos/testing-x86_64/PKGBUILD
(from rev 246039, gnutls/trunk/PKGBUILD)
gnutls/repos/testing-x86_64/gnutls.install
(from rev 246039, gnutls/trunk/gnutls.install)
-------------------------------+
testing-i686/PKGBUILD | 52 ++++++++++++++++++++++++++++++++++++++++
testing-i686/gnutls.install | 20 +++++++++++++++
testing-x86_64/PKGBUILD | 52 ++++++++++++++++++++++++++++++++++++++++
testing-x86_64/gnutls.install | 20 +++++++++++++++
4 files changed, 144 insertions(+)
Copied: gnutls/repos/testing-i686/PKGBUILD (from rev 246039, gnutls/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2015-09-14 17:08:05 UTC (rev 246040)
@@ -0,0 +1,52 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+
+pkgname=gnutls
+pkgver=3.4.5
+pkgrel=1
+pkgdesc="A library which provides a secure layer over a reliable transport layer"
+arch=('i686' 'x86_64')
+license=('GPL3' 'LGPL2.1')
+url="http://www.gnutls.org/"
+install=gnutls.install
+options=('!zipman')
+depends=('gcc-libs' 'libtasn1' 'readline' 'zlib' 'nettle' 'p11-kit')
+optdepends=('guile: for use with Guile bindings')
+source=(ftp://ftp.gnutls.org/gcrypt/gnutls/v3.4/${pkgname}-${pkgver}.tar.xz{,.sig})
+md5sums=('f5dae0e0ecda28aab12386e6c0705d4c'
+ 'SKIP')
+validpgpkeys=('0424D4EE81A0E3D119C6F835EDA21E94B565716F'
+ '1F42418905D8206AA754CCDC29EE58B996865171')
+ # "Simon Josefsson <simon at josefsson.org>"
+ # "Nikos Mavrogiannopoulos <nmav at gnutls.org>
+
+build() {
+ cd ${pkgname}-${pkgver}
+
+ # disable libidn for security reasons:
+ # http://lists.gnupg.org/pipermail/gnutls-devel/2015-May/007582.html
+
+ ./configure --prefix=/usr \
+ --with-zlib \
+ --disable-static \
+ --without-idn \
+ --enable-guile --with-guile-site-dir=no \
+ --with-default-trust-store-pkcs11="pkcs11:model=p11-kit-trust;manufacturer=PKCS%2311%20Kit"
+ make
+}
+
+check() {
+ cd ${pkgname}-${pkgver}
+ make check
+}
+
+package() {
+ cd ${pkgname}-${pkgver}
+ make DESTDIR="${pkgdir}" install
+
+ # lots of .png files are put into infodir and are gzipped by makepkg! this needs to be fixed by using !zipman
+ # gzip -9 all files in infodir and manpages manually
+ find "$pkgdir/usr/share/info" -name '*.info*' -exec gzip -9 {} \;
+ find "$pkgdir/usr/share/man" -exec gzip -9 {} \;
+}
Copied: gnutls/repos/testing-i686/gnutls.install (from rev 246039, gnutls/trunk/gnutls.install)
===================================================================
--- testing-i686/gnutls.install (rev 0)
+++ testing-i686/gnutls.install 2015-09-14 17:08:05 UTC (rev 246040)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(gnutls.info-1.gz gnutls.info-2.gz gnutls.info-3.gz gnutls.info-4.gz gnutls.info-5.gz gnutls.info-6.gz gnutls.info.gz gnutls-guile.info.gz)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
Copied: gnutls/repos/testing-x86_64/PKGBUILD (from rev 246039, gnutls/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2015-09-14 17:08:05 UTC (rev 246040)
@@ -0,0 +1,52 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+
+pkgname=gnutls
+pkgver=3.4.5
+pkgrel=1
+pkgdesc="A library which provides a secure layer over a reliable transport layer"
+arch=('i686' 'x86_64')
+license=('GPL3' 'LGPL2.1')
+url="http://www.gnutls.org/"
+install=gnutls.install
+options=('!zipman')
+depends=('gcc-libs' 'libtasn1' 'readline' 'zlib' 'nettle' 'p11-kit')
+optdepends=('guile: for use with Guile bindings')
+source=(ftp://ftp.gnutls.org/gcrypt/gnutls/v3.4/${pkgname}-${pkgver}.tar.xz{,.sig})
+md5sums=('f5dae0e0ecda28aab12386e6c0705d4c'
+ 'SKIP')
+validpgpkeys=('0424D4EE81A0E3D119C6F835EDA21E94B565716F'
+ '1F42418905D8206AA754CCDC29EE58B996865171')
+ # "Simon Josefsson <simon at josefsson.org>"
+ # "Nikos Mavrogiannopoulos <nmav at gnutls.org>
+
+build() {
+ cd ${pkgname}-${pkgver}
+
+ # disable libidn for security reasons:
+ # http://lists.gnupg.org/pipermail/gnutls-devel/2015-May/007582.html
+
+ ./configure --prefix=/usr \
+ --with-zlib \
+ --disable-static \
+ --without-idn \
+ --enable-guile --with-guile-site-dir=no \
+ --with-default-trust-store-pkcs11="pkcs11:model=p11-kit-trust;manufacturer=PKCS%2311%20Kit"
+ make
+}
+
+check() {
+ cd ${pkgname}-${pkgver}
+ make check
+}
+
+package() {
+ cd ${pkgname}-${pkgver}
+ make DESTDIR="${pkgdir}" install
+
+ # lots of .png files are put into infodir and are gzipped by makepkg! this needs to be fixed by using !zipman
+ # gzip -9 all files in infodir and manpages manually
+ find "$pkgdir/usr/share/info" -name '*.info*' -exec gzip -9 {} \;
+ find "$pkgdir/usr/share/man" -exec gzip -9 {} \;
+}
Copied: gnutls/repos/testing-x86_64/gnutls.install (from rev 246039, gnutls/trunk/gnutls.install)
===================================================================
--- testing-x86_64/gnutls.install (rev 0)
+++ testing-x86_64/gnutls.install 2015-09-14 17:08:05 UTC (rev 246040)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(gnutls.info-1.gz gnutls.info-2.gz gnutls.info-3.gz gnutls.info-4.gz gnutls.info-5.gz gnutls.info-6.gz gnutls.info.gz gnutls-guile.info.gz)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
More information about the arch-commits
mailing list